using MessagePack;

namespace GameMessage
{
    /// <summary>
    /// 俱乐部解散桌子请求消息
    /// </summary>
    [Message(MessageCode.ClubDisbandDeskRequest)]
    [MessagePackObject]
    public class ClubDisbandDeskRequest : MessageData
    {
        /// <summary>
        /// 俱乐部ID
        /// </summary>
        [Key(0)]
        public int ClubId;

        /// <summary>
        /// 房间号
        /// </summary>
        [Key(1)]
        public int RoomNum;

        /// <summary>
        /// 唯一码
        /// </summary>
        [Key(2)]
        public string WeiYiMa;
    }
    
    /// <summary>
    /// 俱乐部解散桌子响应消息
    /// </summary>
    [Message(MessageCode.ClubDisbandDeskResponse)]
    [MessagePackObject]
    public class ClubDisbandDeskResponse : MessageData
    {
        /// <summary>
        /// 结果代码
        /// </summary>
        [Key(0)]
        public int ResultCode;
        
        /// <summary>
        /// 俱乐部ID
        /// </summary>
        [Key(1)]
        public int ClubId;

        /// <summary>
        /// 房间号
        /// </summary>
        [Key(2)]
        public int RoomNum;

        /// <summary>
        /// 唯一码
        /// </summary>
        [Key(3)]
        public string WeiYiMa;
    }
}